Bug 125364 - (non-ACPI) kernel panic at start of installation process
(non-ACPI) kernel panic at start of installation process
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-05 01:38 EDT by Steven Burke
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Burke 2004-06-05 01:38:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
Attempting to upgrade FC1 to FC2 , get
Kernel panic: Attempted to kill init!

and machine hangs.



Version-Release number of selected component (if applicable):
Fedora Core Version 2

How reproducible:
Always

Steps to Reproduce:
1.  Turn on machine
2.Insert FC2 disc 1
3. Select graphic or text install
    

Actual Results:  Code: 0f 0b 2a 00 78 90 29 c0 2b 0d cc 90 37 c0 c1 f9
05 c1 e1 0c
 <0>Kernel panic: Attempted to kill init!

Machine Hangs

Expected Results:  Upgrade FC1 to FC2

Additional info:

I also get this with the FC2 recovery CD.

I am running dual XP and FC1

My system :
 Intel Celeron 2.6ghz
 Maxtor 91366U4 (12Gb) IDE
 ST360015A        (60Gb) IDE
 NVIDIA FX5200

After selecting graphic or text install, the kernel is loaded and
decompressed.  As soon as the decompressed kernel is started, it
panics with the message "Attempted to kill init!".

acpi=off
acpi=ht
pci=noacpi

still the same Kernel panic.

Additional Info:

Process swapper (pid: 1, threadinfo=f7d90000 task=f7d49630)
Stack: 0000002b 00000000 c015a352 c02d4c80 00000000 0000002b c1997f84
c02d4c80
       c17fd9e0 c014f6d4 0000002b c016e2dc fffffff4 c199aa18 0000002c
c199a980
       c1997f84 c199b580 c1997fb0 00000000 c016e31d c199b580 c199b580
c1997f91
Call Trace:
 [<c015a352>] simple_prepare_write+0x31/0x94
 [<c014f6d4>] init_symlink+0x4e/0x10e
 [<c016e2dc>] init_symlink+0x0/0xd
 [<c016e31d>] sysfs_symlink+0x34/0x49
 [<c016e49a>] sysfs_create_link+0xed/0x117
 [<c01dbbc7>] bus_match+0x3f/0x45
 [<c01dcc7b>] driver_attach+0x37/0x6a
 [<c01dce8d>] bus_add_driver+0x6a/0x81
 [<c01dd173>] driver_register+0x28/0x2c
 [<c0199051>] pci_create_newid_file+0x15/0x1a
 [<c0199315>] pci_register_driver+0x4b/0x67
 [<c032f0fb>] agp_intel_init+0x20/0x27
 [<c0320659>] do_initcalls+0x49/0x97
 [<c010029e>] init+0x0/0xe2
 [<c01002bb>] init+0x1d/0xe2
 [<c01041d5>] kernel_thread_helper+0x5/0xb

Code: 0f 0b 2a 00 78 90 29 c0 2b 0d cc 90 37 c0 c1 f9 05 c1 e1 0c
 <0>Kernel panic: Attempted to kill init!
Comment 1 Dave Jones 2005-04-16 00:57:15 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.